| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Attributes | Friends | List of all members
visBase::DraggerBase Class Referenceabstract
visBase

`#include <visdragger.h>`

Inheritance diagram for visBase::DraggerBase:
[legend]

## Public Member Functions
const visBase::Transformation * | getDisplayTransformation () const override
void | handleEvents (bool yn)
bool | isHandlingEvents () const
void | setDisplayTransformation (const visBase::Transformation *) override
void | setSpaceLimits (const Interval< float > &x, const Interval< float > &y, const Interval< float > &z)
Public Member Functions inherited from visBase::DataObject
template<class T >
T * | addNodeState (T *ns)
void | deSelect () const
virtual NotifierAccess * | deSelection ()
void | enableTraversal (unsigned int mask, bool yn=true)
virtual const char * | errMsg () const
virtual const char * | getClassName () const
SoNode * | getInventorNode ()
const SoNode * | getInventorNode () const
BufferString | getName () const override
NodeState * | getNodeState (int idx)
virtual float | getPixelDensity () const
VisID | id () const
virtual bool | isOK () const
virtual bool | isOn () const
bool | isPickable (bool actively=true) const
virtual bool | isRightHandSystem () const
virtual bool | isSelected () const
bool | isTraversalEnabled (unsigned int mask) const
const OD::String & | name () const override
osg::Node * | osgNode (bool skipswitch=false)
const osg::Node * | osgNode (bool skipswitch=false) const
NodeState * | removeNodeState (NodeState *)
virtual bool | rightClickable () const
virtual NotifierAccess * | rightClicked ()
virtual const TypeSet< VisID > * | rightClickedPath () const
void | select () const
virtual bool | selectable () const
virtual NotifierAccess * | selection ()
bool | serialize (const char *filename, bool binary=false)
void | setID (const VisID &)
void | setName (const char *) override
void | setName (const uiString &uistr)
void | setPickable (bool actively, bool passively=true)
virtual void | setPixelDensity (float dpi)
virtual void | setRightHandSystem (bool yn)
void | setUiName (const uiString &)
virtual bool | turnOn (bool yn)
uiString | uiName () const
void | updateSel () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Public Attributes
Notifier< DraggerBase > | changed
Notifier< DraggerBase > | finished
Notifier< DraggerBase > | motion
Notifier< DraggerBase > | started

## Protected Member Functions
| DraggerBase ()
| ~DraggerBase ()
void | initDragger (osgManipulator::Dragger *)
virtual void | notifyMove ()=0
virtual void | notifyStart ()=0
virtual void | notifyStop ()=0
Protected Member Functions inherited from visBase::DataObject
| DataObject ()
| ~DataObject ()
void | doAddNodeState (NodeState *)
virtual osg::StateSet * | getStateSet ()
template<class T >
T * | setOsgNode (T *t)
| Must be called during construction.
virtual void | triggerDeSel ()
virtual void | triggerRightClick (const EventInfo *=nullptr)
virtual void | triggerSel ()
void | updateNodemask ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
ConstRefMan< visBase::Transformation > | displaytrans_
osgManipulator::Dragger * | osgdragger_ = nullptr
osg::Group * | osgroot_
Interval< float > | spaceranges_ [3]
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Attributes
DraggerCallbackHandler * | cbhandler_ = nullptr

## Friends
class | DraggerCallbackHandler

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from visBase::DataObject
static osgViewer::CompositeViewer * | getCommonViewer ()
static float | getDefaultPixelDensity ()
static VisID | getID (const osg::Node *)
static bool | isVisualizationThread ()
static void | requestSingleRedraw ()
static void | setCommonViewer (osgViewer::CompositeViewer *)
static void | setDefaultPixelDensity (float)
static void | setVisualizationThread (const void *)
| Call only once from initialization.
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ DraggerBase()

visBase::DraggerBase::DraggerBase | ( |  | ) |
| protected

## ◆ ~DraggerBase()

visBase::DraggerBase::~DraggerBase | ( |  | ) |
| protected

## Member Function Documentation

## ◆ getDisplayTransformation()

const visBase::Transformation * visBase::DraggerBase::getDisplayTransformation | ( |  | ) | const
| override virtual

All positions going from the outside world to the vis should be transformed with this transform. This enables us to have different coord-systems outside OI, e.g. we can use UTM coords outside the vis without loosing precision in the vis.

Reimplemented from visBase::DataObject.

## ◆ handleEvents()

void visBase::DraggerBase::handleEvents | ( | bool | yn | ) |

## ◆ initDragger()

void visBase::DraggerBase::initDragger | ( | osgManipulator::Dragger * |  | ) |
| protected

## ◆ isHandlingEvents()

bool visBase::DraggerBase::isHandlingEvents | ( |  | ) | const

## ◆ notifyMove()

virtual void visBase::DraggerBase::notifyMove | ( |  | ) |
| protected pure virtual

Implemented in visBase::Dragger.

## ◆ notifyStart()

virtual void visBase::DraggerBase::notifyStart | ( |  | ) |
| protected pure virtual

Implemented in visBase::Dragger.

## ◆ notifyStop()

virtual void visBase::DraggerBase::notifyStop | ( |  | ) |
| protected pure virtual

Implemented in visBase::Dragger.

## ◆ setDisplayTransformation()

void visBase::DraggerBase::setDisplayTransformation | ( | const visBase::Transformation * |  | ) |
| override virtual

All positions going from the outside world to the vis should be transformed with this transform. This enables us to have different coord-systems outside OI, e.g. we can use UTM coords outside the vis without loosing precision in the vis.

Reimplemented from visBase::DataObject.

## ◆ setSpaceLimits()

void visBase::DraggerBase::setSpaceLimits | ( | const Interval< float > & | x,
|  | const Interval< float > & | y,
|  | const Interval< float > & | z )

## Friends And Related Symbol Documentation

## ◆ DraggerCallbackHandler

friend class DraggerCallbackHandler
| friend

## Member Data Documentation

## ◆ cbhandler_

DraggerCallbackHandler* visBase::DraggerBase::cbhandler_ = nullptr
| private

## ◆ changed

Notifier<DraggerBase> visBase::DraggerBase::changed

## ◆ displaytrans_

ConstRefMan< visBase::Transformation > visBase::DraggerBase::displaytrans_
| protected

## ◆ finished

Notifier<DraggerBase> visBase::DraggerBase::finished

## ◆ motion

Notifier<DraggerBase> visBase::DraggerBase::motion

## ◆ osgdragger_

osgManipulator::Dragger* visBase::DraggerBase::osgdragger_ = nullptr
| protected

## ◆ osgroot_

osg::Group* visBase::DraggerBase::osgroot_
| protected

## ◆ spaceranges_

Interval<float> visBase::DraggerBase::spaceranges_[3]
| protected

## ◆ started

Notifier<DraggerBase> visBase::DraggerBase::started

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025